html, body {
    background-color: #fff;
    font-family: Helvetica,"游ゴシック体",YuGothic,"游ゴシック Medium","Yu Gothic Medium","游ゴシック","Yu Gothic",sans-serif;
    font-weight: 100;
    letter-spacing: 0px;
    font-size: 16px;
    color: #0D0B22;
    padding: 0;
    margin: 0;
}

.portal_page {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    min-height: 100vh;
    width: 100%;
}

.header {
    align-self: center;
    display: flex;
    align-content: flex-start;
    padding-top: 10px;
    padding-left: 10px;
    padding-bottom: 30px;
}

.login-page {
    align-items: center;
    justify-content: flex-start;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    flex-direction: column;
}

.login-bottom-qr {
    display: none;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    flex-direction: column;
    margin-top: 1em;
}

.login-middle {
    display: flex;
    flex-direction: column;
}

.login-middle h1 {
    text-align: left;
    font-size: 24px;
    font-weight: 550;
    letter-spacing: 0px;
    color: #0D0B22;
    opacity: 1;
}

.QR-link {
    height: 40px;
    background: #FEC423;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: 9px;
    text-align: center;
    font-size: 16px;
    font-weight: 50;
    letter-spacing: 0.5px;
    color: #FFFFFF;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    border: none;
}

.or {
    padding-top: 15px;
    padding-bottom: 15px;
    text-align: center;
    font-size: 16px;
    letter-spacing: 0px;
    color: #6F6D7A;
}

.or span:before,
.or span:after {
    background-color: #6F6D7A;
    content: "";
    display: inline-block;
    height: 1px;
    position: relative;
    vertical-align: middle;
    width: 47%;
}

.or span:before {
    right: 0.5em;
    margin-left: -50%;
}

.or span:after {
    left: 0.5em;
    margin-right: -50%;
}

.form-block {
    font-size: 16px;
    display: flex;
    flex-direction: column;
    padding-bottom: 10px;
}

.form-block label {
    text-align: left;
    font-size: 18px;
    color: #0D0B22;
    opacity: 1;
    padding-bottom: 5px;
}

.form-block input[type=email],
.form-block input[type=password] {
    height: 40px;
    font-size: 16px;
    text-align: left;
    letter-spacing: 0px;
    color: #0D0B22;
    opacity: 1;
    background: #F3F3F4;
    border-radius: 9px;
    border: none;
    padding-inline-start: 10px;
    padding-inline-start: 10px;
}

.form-block input[type=password] {
    margin-bottom: 15px;
}

.password {
    padding-top: 10px;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
    align-items: center;
}

.password a {
    color: #59BBBA;
    text-decoration: none;
    flex-grow: 1;
    text-align: right;
    margin-left: 20px;
    padding-bottom: 5px;
    font-size: 14px;
}

.smt-btn {
    height: 40px;
    max-width: 100%;
    background: #59BBBA;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: 9px;
    text-align: center;
    font-size: 16px;
    font-weight: 100;
    letter-spacing: 0px;
    letter-spacing: 0px;
    color: #FFFFFF;
    border: none;
}

.portal_languages {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: left;
    letter-spacing: 0px;
    color: #AAAAAA;
    opacity: 1;
}

.portal_languages a {
    text-decoration: none;
    font-size: 14px;
    color: #AAAAAA;
}

.portal_languages .portal_selected-lang {
    font-weight: bold;
    color: #59BBBA;
}

.portal_languages a:active {
    color: #59BBBA;
}

.portal_languages span {
    padding: 10px;
}

.login-error {
    color: red;
    text-align: center;
    align-self: center;
    max-width: 95%;
}

.login-right {
    flex-grow: 1;
    background-color: aqua;
}

.qr-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-image: url('/img/YellowQRBoarder.png');
    background-repeat: no-repeat;
    background-size: 300px 280px;
    background-position: center top;
}

.qr-image {
    height: 250px;
    padding: 15px;
}

.pbmamoru {
    width: 220px;
    padding-top: 10px;
    padding-bottom: 15px;
}

.qr-image-blur {
    filter: blur(8px);
    -webkit-filter: blur(8px);
}

.qr-back {
    position: relative;
    left: -7px;
    top: 1px;
}

.qr-back > a {
    text-decoration: none;
    text-align: left;
    font-size: 24px;
    font-weight: 550;
    letter-spacing: 0px;
    color: #0D0B22;
    opacity: 1;
}

.title {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding-bottom: 10px;
}

#qr-expired {
    display: none;
}

.qr-expired-text {
    text-align: center;
    color: red;
}

#footer-block {
    width: 100vw;
    align-self: flex-end;
    text-align: center;
    overflow: hidden;
}

footer {
    background: #47c6ab;
    text-align: center;
    color: #fff;
    padding: 30px 0;
}

.img-block {
    padding: 0;
    list-style: none;
    margin: 0;
    display: flex;
    justify-content: center;
    margin: 30px 0;
}

.img-block li {
    margin: 0 20px;
}

.img-block img {
    height: 120px;
}

@media (min-width: 750px) {
    .header {
        align-self: flex-start;
        padding-top: 50px;
        padding-left: 50px;
        padding-bottom: 75px;
    }
    .login-bottom-qr {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }
}
